/* 
 * ボタンの状態を取得する
 * 
 * 使用ライブラリ: wiringPi
 * コンパイル方法: cc -o 2-button 2-button.c -lwiringPi
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <wiringPi.h>

#define PORT 25		/* GPIO25 */
#define DEBUG 0

int main (int argc, char **argv) {
    int data;
    int port;

    port=PORT;
    if (argc == 2) {
        port=atoi(argv[1]);
    }
if(DEBUG)printf("port=%d\n",port);

    //初期化
    if(wiringPiSetupGpio() == -1) return -1;
    pinMode(port, INPUT);

    //読み込み
    data = digitalRead(port);
if(DEBUG)printf("GPIO%d = %d\n",port,data);
    printf("%d\n",data);

    return 0;
}
